# Element Summary

Element | Description | Class
--- | --- | ---
component | An WS-Notification component | org.apache.servicemix.wsn.spring.WSNSpringComponent
create-pull-point |  | org.apache.servicemix.wsn.spring.CreatePullPointFactoryBean
endpoint |  | org.apache.servicemix.wsn.spring.WSNDeployableEndpointFactoryBean
publisher | This class is a lightweight component that can be used to act as a WS-Notification publisher. All messages sent to it will be forwarded to the NotificationBroker in Notify requests. | org.apache.servicemix.wsn.spring.PublisherComponent
publisher-proxy | A simple bean acting as a WS-Notification publisher. All messages sent to it will be forwarded to the NotificationBroker as Notify requests. This beans should be used and deployed onto servicemix-bean as a pojo for a bean endpoint. | org.apache.servicemix.wsn.spring.PublisherProxyBean
register-publisher |  | org.apache.servicemix.wsn.spring.RegisterPublisherFactoryBean
subscribe |  | org.apache.servicemix.wsn.spring.SubscribeFactoryBean

# Element Detail

## Element: component

Element | Type | Description
--- | --- | ---
connectionFactory | <spring:bean/> |
executorFactory | <spring:bean/> | The executor factory to use to create the executor. If none is provided, one will be retrieved from the JBI container when the component is deployed into ServiceMix 3.x, or a default implementation will be used.
requests | (<spring:bean/>)* |
resources | (<spring:bean/>)* |

## Element: create-pull-point

Attribute | Type | Description
--- | --- | ---
address | xs:string |

## Element: endpoint

Attribute | Type | Description
--- | --- | ---
endpoint | xs:string |
service | xs:QName |

Element | Type | Description
--- | --- | ---
request | <spring:bean/> |
resource | <spring:bean/> |

## Element: publisher

Attribute | Type | Description
--- | --- | ---
demand | xs:boolean |
endpoint | xs:string |
extensionMBeanName | xs:string |
service | xs:QName |
topic | xs:string |

Element | Type | Description
--- | --- | ---
messageTransformer | <spring:bean/> |
propertyChangeListener | <spring:bean/> |

## Element: publisher-proxy

Attribute | Type | Description
--- | --- | ---
topic | xs:string |

## Element: register-publisher

Attribute | Type | Description
--- | --- | ---
demand | xs:boolean |
publisher | xs:string |
topic | xs:string |

## Element: subscribe

Attribute | Type | Description
--- | --- | ---
consumer | xs:string |
raw | xs:boolean |
topic | xs:string |
xpath | xs:string |